<script setup>
const options = ref({
  chart: {
    height: 150,
    type: "area",
    toolbar: {
      show: false,
    },
  },
  dataLabels: {
    enabled: false,
  },
  stroke: {
    curve: "smooth",
    width: "1",
    color: "#0962ec",
  },
  fill: {
    type: "gradient",
    gradient: {
      type: "vertical",
      opacityFrom: 1,
      opacityTo: 0,
      stops: [0, 100],
      colorStops: [
        {
          offset: 0,
          opacity: 0.7,
          color: "#0962ec",
        },
        {
          offset: 100,
          opacity: 0,
          color: "#0962ec",
        },
      ],
    },
  },
  tooltip: {
    x: {
      format: "number",
    },
  },
  grid: {
    show: false,
    padding: {
      top: -32,
      right: 0,
      bottom: -8,
      left: 12,
    },
  },
  xaxis: {
    axisBorder: {
      show: false,
    },
  },
});
const series = ref([
  {
    name: "IPS",
    data: [3.1, 3.5, 3.7, 0, 0, 0, 0, 0],
  },
]);
</script>

<template>
  <div class="bg-light-50 rounded-2xl shadow-lg mt-8">
    <div class="grid grid-cols-2 gap-4 px-4 pt-4">
      <div class="flex gap-2">
        <div>
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke-width="1.5"
            stroke="currentColor"
            class="w-11 h-11 stroke-accent-500"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              d="M3 13.125C3 12.504 3.504 12 4.125 12h2.25c.621 0 1.125.504 1.125 1.125v6.75C7.5 20.496 6.996 21 6.375 21h-2.25A1.125 1.125 0 013 19.875v-6.75zM9.75 8.625c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125v11.25c0 .621-.504 1.125-1.125 1.125h-2.25a1.125 1.125 0 01-1.125-1.125V8.625zM16.5 4.125c0-.621.504-1.125 1.125-1.125h2.25C20.496 3 21 3.504 21 4.125v15.75c0 .621-.504 1.125-1.125 1.125h-2.25a1.125 1.125 0 01-1.125-1.125V4.125z"
            />
          </svg>
        </div>
        <div>
          <p class="text-sm font-normal leading-1">IPS</p>
          <p class="text-2xl font-semibold leading-none">3.4</p>
        </div>
      </div>
      <div class="flex gap-2">
        <div>
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke-width="1.5"
            stroke="currentColor"
            class="w-11 h-11 stroke-accent-500"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              d="M3 13.125C3 12.504 3.504 12 4.125 12h2.25c.621 0 1.125.504 1.125 1.125v6.75C7.5 20.496 6.996 21 6.375 21h-2.25A1.125 1.125 0 013 19.875v-6.75zM9.75 8.625c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125v11.25c0 .621-.504 1.125-1.125 1.125h-2.25a1.125 1.125 0 01-1.125-1.125V8.625zM16.5 4.125c0-.621.504-1.125 1.125-1.125h2.25C20.496 3 21 3.504 21 4.125v15.75c0 .621-.504 1.125-1.125 1.125h-2.25a1.125 1.125 0 01-1.125-1.125V4.125z"
            />
          </svg>
        </div>
        <div>
          <p class="text-sm font-normal leading-1 text-dark-600">IPK</p>
          <p class="text-2xl font-semibold leading-none text-dark-950">3.5</p>
        </div>
      </div>
    </div>
    <div class="p-4">
      <p class="text-dark-600">Grafik Indeks Prestasi Semester</p>
    </div>
    <div class="p-y-4 pl-1 pr-4">
      <ClientOnly>
        <apexchart
          :key="series"
          height="150"
          width="100%"
          :options="options"
          :series="series"
        ></apexchart>
      </ClientOnly>
    </div>
  </div>
</template>
<style>
.apexcharts-tooltip-title,
.apexcharts-zaxistooltip-bottom.apexcharts-theme-light {
  display: none;
}
</style>
